<template>
    <div class="fond-modal bg-trans-white">
        <div class="modal-closing">
            <div class="tblock">
                <div class="blockitem">
                    <slot />
                </div>
            </div>
        </div>
        <div class="modal-body centered">
            <div class="over-wrap bg-night br10">
                <div class="mod-title txt-full-white">
                    {{isLang.videos.main.btn1}}
                </div>
                <div class="over-list">
                    <p-link
                    network="twitter"
                    :url="url"
                    :title="getInplayer.name"
                     class="item-wrap txt-full-white">
                        <div class="item-case centered ">
                            <div class="btn-wrap txt-full-white">
                                <div class="icon-case">
                                    <twitter-vue size="icon-30"/>
                                </div>
                            </div>
                        </div>
                        <div class="item-name centered">
                            Twitter
                        </div>
                    </p-link>
                    <p-link
                    network="whatsapp"
                    :url="url"
                    :title="getInplayer.name"
                     class="item-wrap txt-full-white">
                        <div class="item-case centered ">
                            <div class="btn-wrap txt-full-white2">
                                <div class="icon-case">
                                    <whatsapp-vue size="icon-30"/>
                                </div>
                            </div>
                        </div>
                        <div class="item-name centered">
                            Whatsapp
                        </div>
                    </p-link>
                    <p-link
                    network="linkedin"
                    :url="url"
                    :title="getInplayer.name"
                     class="item-wrap txt-full-white">
                        <div class="item-case centered ">
                            <div class="btn-wrap txt-full-white">
                                <div class="icon-case">
                                    <linked-in size="icon-30"/>
                                </div>
                            </div>
                        </div>
                        <div class="item-name centered">
                            LinkedIn
                        </div>
                    </p-link>
                    <p-link
                    network="facebook"
                    :url="url"
                    :title="getInplayer.name"
                     class="item-wrap txt-full-white">
                        <div class="item-case centered">
                            <div class="btn-wrap txt-full-white">
                                <div class="icon-case">
                                    <facebook-vue size="icon-30"/>
                                </div>
                            </div>
                        </div>
                        <div class="item-name centered">
                            Facebook
                        </div>
                    </p-link>
                    <p-link
                    network="messenger"
                    :url="url"
                    :title="getInplayer.name"
                     class="item-wrap txt-full-white">
                        <div class="item-case centered">
                            <div class="btn-wrap txt-full-white">
                                <div class="icon-case">
                                    <messenger-vue size="icon-30"/>
                                </div>
                            </div>
                        </div>
                        <div class="item-name centered">
                            Messenger
                        </div>
                    </p-link>
                    <p-link
                    network="reddit"
                    :url="url"
                    :title="getInplayer.name"
                     class="item-wrap txt-full-white">
                        <div class="item-case centered">
                            <div class="btn-wrap txt-full-white">
                                <div class="icon-case">
                                    <reddit-vue size="icon-30"/>
                                </div>
                            </div>
                        </div>
                        <div class="item-name centered">
                            Reddit
                        </div>
                    </p-link>
                </div>
                <div class="link-share bg-night-light txt-gray-mid tree-dot">
                    {{ url }}
                </div>
            </div>
        </div>
    </div>
</template>

<script setup lang="ts">
import langStore from '../store/langStore';
import StoreVideo from '../store/videoPlaying';
import PLink from '../vue-partage';
import RedditVue from './logos/Reddit.vue';
import FacebookVue from './logos/Facebook.vue';
import LinkedIn from './logos/LinkedIn.vue';
import TwitterVue from './logos/Twitter.vue';
import WhatsappVue from './logos/Whatsapp.vue';
import MessengerVue from './logos/Messenger.vue';

const { isLang } = langStore;

const url = window.location.href;

const { getInplayer } = StoreVideo;
</script>

<style scoped>
.over-wrap {
    font-family: 'Roboto', sans-serif;
    box-shadow: 2px 2px 5px #0a0125e1;
}
.over-list {
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    cursor: pointer
}
@media (max-width: 1023px) {
    .over-wrap {
        width: 90%;
    }
    .over-list {
        width: 100%;
    }
    .item-wrap {
        width: 50%;
    }
}

.item-case {
    margin: 0;
    padding: 10px;
    width: 100%;
}
.modal-closing {
    margin: 0;
    height: 65px;
    padding-left: 10px;
    padding-right: 10px;
}
.modal-body {
    margin: 0;
    height: calc(100% - 130px);
}
.mod-title {
    margin: 0;
    padding: 20px;
    font-size: 30px;
    font-weight: 500;
}
.link-share {
    margin: 0;
    padding: 20px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

@media (min-width: 1024px) {
    .over-list {
        margin: 0;
        display: flex;
        flex-wrap: nowrap;
        justify-content: space-evenly;
    }
    .item-wrap {
        margin: 0;
    }
    .item-wrap:hover .btn-wrap {
    transform: translateY(-20px);
    transition: transform .6s;
  }

  .item-wrap:hover .item-name {
      animation: spice 1s linear infinite;
  }
  @keyframes spice {
    0% {color: transparent;}
    50% { color: var(--full-white);}
    100% {color: transparent;}
  }
    .item-name {
        margin: 0;
        padding: 10px;
    }
    .item-case {
        margin: 0;
        width: 100%;
        cursor: pointer
    }
}
</style>